# Proxy config for http api calls
httpProxyHost: ""
httpProxyPort: 0
requestTimeoutInSeconds: 30

# Name/key of the used environment (from environments config below)
activeEnvironment: dev

# Path that references the metadata schema
metadataSchemaPath: "path/to/metadata_schema.json"

# Path that references the signing key file
privateSigningKeyPath: "path/to/singning_key.json"

senderConfig:
  clientId: "SenderClientID"
  clientSecret: "SenderSecret"

subscriberConfig:
  clientId: "SubscriberClientID"
  clientSecret: "SubscriberSecret"

  # Path that references the private key file
  privateDecryptionKeyPath: "path/to/decrpytion_key.json"
  securityEventTokenSchemaPath: ""

# Configured environments for all api-urls
environments:
  prod:
    authBaseUrl: "https://auth-prod.fit-connect.fitko.dev"
    submissionBaseUrl: "https://submission-api-prod.fit-connect.fitko.dev"
    silentKeyValidation: false
  staging:
    authBaseUrl: "https://auth-prod.fit-connect.fitko.dev"
    submissionBaseUrl: "https://submission-api-prod.fit-connect.fitko.dev"
    silentKeyValidation: false
  dev:
    authBaseUrl: "https://auth-testing.fit-connect.fitko.dev"
    submissionBaseUrl: "https://submission-api-testing.fit-connect.fitko.dev"
    silentKeyValidation: true
  testing:
    authBaseUrl: "https://auth-test.fit-connect.fitko.dev"
    submissionBaseUrl: "https://submission-api-testing.fit-connect.fitko.dev"
    silentKeyValidation: true
  local:
    authBaseUrl: "https://auth-test.fit-connect.fitko.dev"
    submissionBaseUrl: "https://submission-api-testing.fit-connect.fitko.dev"
    silentKeyValidation: true

# REST Endpoints for FIT-Connect resources
resourcePaths:
  authTokenPath: "/token"
  destinationPath: "/v1/destinations/{destinationId}"
  destinationKeyPath: "/v1/destinations/{destinationId}/keys/{kid}"
  eventLogPath: "/v1/cases/{caseId}/events"
  submissionPath: "/v1/submissions/{submissionId}"
  submissionsPath: "/v1/submissions"
  submissionAttachmentPath: "/v1/submissions/{submissionId}/attachments/{attachmentId}"